www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <gra...@vwv.com>
Subject mod_include/1392: XSSI broken under Explorer 4
Date Tue, 11 Nov 1997 17:52:00 GMT

>Number:         1392
>Category:       mod_include
>Synopsis:       XSSI broken under Explorer 4
>Confidential:   no
>Severity:       critical
>Priority:       medium
>Responsible:    apache
>State:          open
>Class:          sw-bug
>Submitter-Id:   apache
>Arrival-Date:   Tue Nov 11 11:10:00 PST 1997
>Last-Modified:
>Originator:     graham@vwv.com
>Organization:
apache
>Release:        1.2.4
>Environment:
Solaris v2.5.1 (SunOS calvin 5.5.1 Generic_103640-08 sun4u sparc SUNW,Ultra-1),
gcc 2.7.2
>Description:
We have a page here containing many executable server side includes
(representing our graphics) on our site. These server side includes
operate correctly under MSIE v3.02 and Netscape v3/v4.

However, when this website is accessed using Explorer v4 final release,
these server side includes either terminate incorrectly with the text [An error
has occured processing this directive], or the server side includes are
ignored, and are as a result viewable using the browser's "view source" option.

The symptoms manifest themselves in our case by missing graphics on our site, as
these graphic URLs are generated by an SSI program.
>How-To-Repeat:
Yes - http://www.vwv.com for an example.
>Fix:
(Usual M$ bashing ideas suppressed).
%0
>Audit-Trail:
>Unformatted:


Mime
View raw message